| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.HallReadout4Lyra Class Reference

Parent class => FeedbackSystem
More...

Inheritance diagram for optoICC.registers.icc_registers.HallReadout4Lyra:

## Public Member Functions
def | __init__ (self, board=None)
def | get_readout (self)
def | set_readout (self, state)
def | get_hall_X (self)
def | get_hall_Y (self)
def | get_hall_Z (self)
def | get_value (self, channel)
def | get_value_id (self, channel)
def | get_temperature (self, channel=0)
def | get_temp_comp (self)
def | set_temp_comp (self, enable)
def | get_resolution (self)
def | set_resolution (self, resolution)
def | get_gain (self)
def | set_gain (self, gain)
def | get_oversampling (self)
def | set_oversampling (self, oversampling)
def | get_averaging (self)
def | set_averaging (self, averaging)
def | get_meas_delay (self)
def | set_meas_delay (self, meas_delay)
def | get_id1 (self)
def | get_id2 (self)
def | get_id3 (self)
def | start_readout (self)
def | stop_readout (self)
def | init (self)
def | is_init_done (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| RunReadout
| NormVal_X
| NormVal_Y
| NormVal_Z
| Temperature
| EnableTComp
| Resolution
| Gain
| Oversampling
| Averaging
| MeasDelay
| ID1
| ID2
| ID3
| RunInit
| InitDone
| n_sensors
| name

## Static Protected Attributes
bool | _is_a_system = True

## Detailed Description

Parent class => FeedbackSystem

    * Device Functionality - Hall Feedback for Lyra
    * System ID: 0x2C
    *
    * The hall readout system provides information about the actual position of actuator.
    * It also includes the parameter registers for setup of the hall sensor.
    * Caution - sensor readout has to be disabled while accessing registers!
    *
    * ### Register Map:
    *
    *  | Address | Name        | Default Value | Description                                    |  Type  | Access     |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    *  | 0x2C00  | RunReadout  | false (or 0)  | Enable/Disable sensors readout callbacks       | boolean| read write |
    *  | 0x2C01  | NormVal_X   | N/A           | Magnetic field normalised value channel A      | float  | read only  |
    *  | 0x2C02  | NormVal_Y   | N/A           | Magnetic field normalised value channel B      | float  | read only  |
    *  | 0x2C03  | NormVal_Z   | N/A           | Magnetic field normalised value channel C      | float  | read only  |
    *  | 0x2C04  | Temperature | N/A           | Temperature value channel A [deg.C]            | float  | read only  |
    *  | 0x2C05  | EnableTComp | true (or 1)   | Enable internal HW temperature compensation    | boolean| read write |
    *  | 0x2C06  | Resolution  | 1             | Bit resolution (0=16b, 1=17b, 2=18b, 3=19b)    | uint8  | read write |
    *  | 0x2C07  | Gain        | 8             | Gain selection (0.1 to 1.0 in 16 steps)        | uint8  | read write |
    *  |         |             |               | [0.2, 0.25, 0.3333, 0.4, 0.5, 0.6, 0.75, 1,    |        |            |
    *  |         |             |               | 0.1, 0.125, 0.1667, 0.2, 0.25, 0.3, 0.375, 0.5]|        |            |
    *  | 0x2C08  | Oversampling| 0             | Oversampling count=2^value [0-3 => 1-8 samples]| uint8  | read write |
    *  | 0x2C09  | Averaging   | 0             | Averaging count=2^value [0-7 => 1-128 samples] | uint8  | read write |
    *  | 0x2C0A  | MeasDelay   | 0             | Measurement delay [0-1260ms in 20ms steps]     | uint16 | read write |
    *  | 0x2C0B  | ID1          | N/A           | Melexis unique ID word value 1                 | uint16 | read only  |
    *  | 0x2C0C  | ID2          | N/A           | Melexis unique ID word value 2                 | uint16 | read only  |
    *  | 0x2C0D  | ID3          | N/A           | Melexis unique ID word value 3                 | uint16 | read only  |
    *  | 0x2C0E  | RunInit     | N/A           | R or W operation executes init of hall sensor  | uint32 | read write |
    *  | 0x2C0F  | InitDone    | N/A           | Hall sensor initialisation status (0=NG, 1=OK) | uint32 | read only  |
    *  |---------|-------------|---------------|------------------------------------------------|--------|------------|
    */

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.HallReadout4Lyra.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ get_averaging()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_averaging | ( |  | self | ) |

## ◆ get_gain()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_gain | ( |  | self | ) |

## ◆ get_hall_X()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_hall_X | ( |  | self | ) |

## ◆ get_hall_Y()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_hall_Y | ( |  | self | ) |

## ◆ get_hall_Z()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_hall_Z | ( |  | self | ) |

## ◆ get_id1()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_id1 | ( |  | self | ) |

## ◆ get_id2()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_id2 | ( |  | self | ) |

## ◆ get_id3()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_id3 | ( |  | self | ) |

## ◆ get_meas_delay()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_meas_delay | ( |  | self | ) |

## ◆ get_oversampling()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_oversampling | ( |  | self | ) |

## ◆ get_readout()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_readout | ( |  | self | ) |

## ◆ get_resolution()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_resolution | ( |  | self | ) |

## ◆ get_temp_comp()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_temp_comp | ( |  | self | ) |

## ◆ get_temperature()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_temperature | ( |  | self,
|  |  | channel = `0`
| ) |  |

## ◆ get_value()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_value | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_value_id()

def optoICC.registers.icc_registers.HallReadout4Lyra.get_value_id | ( |  | self,
|  |  | channel
| ) |  |

## ◆ help()

def optoICC.registers.icc_registers.HallReadout4Lyra.help | ( |  | ) |
| static

## ◆ init()

def optoICC.registers.icc_registers.HallReadout4Lyra.init | ( |  | self | ) |

## ◆ is_init_done()

def optoICC.registers.icc_registers.HallReadout4Lyra.is_init_done | ( |  | self | ) |

## ◆ set_averaging()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_averaging | ( |  | self,
|  |  | averaging
| ) |  |

## ◆ set_gain()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_gain | ( |  | self,
|  |  | gain
| ) |  |

## ◆ set_meas_delay()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_meas_delay | ( |  | self,
|  |  | meas_delay
| ) |  |

## ◆ set_oversampling()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_oversampling | ( |  | self,
|  |  | oversampling
| ) |  |

## ◆ set_readout()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_readout | ( |  | self,
|  |  | state
| ) |  |

## ◆ set_resolution()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_resolution | ( |  | self,
|  |  | resolution
| ) |  |

## ◆ set_temp_comp()

def optoICC.registers.icc_registers.HallReadout4Lyra.set_temp_comp | ( |  | self,
|  |  | enable
| ) |  |

## ◆ start_readout()

def optoICC.registers.icc_registers.HallReadout4Lyra.start_readout | ( |  | self | ) |

## ◆ stop_readout()

def optoICC.registers.icc_registers.HallReadout4Lyra.stop_readout | ( |  | self | ) |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.HallReadout4Lyra._is_a_system = True
| static protected

## ◆ Averaging

optoICC.registers.icc_registers.HallReadout4Lyra.Averaging

## ◆ EnableTComp

optoICC.registers.icc_registers.HallReadout4Lyra.EnableTComp

## ◆ Gain

optoICC.registers.icc_registers.HallReadout4Lyra.Gain

## ◆ ID1

optoICC.registers.icc_registers.HallReadout4Lyra.ID1

## ◆ ID2

optoICC.registers.icc_registers.HallReadout4Lyra.ID2

## ◆ ID3

optoICC.registers.icc_registers.HallReadout4Lyra.ID3

## ◆ InitDone

optoICC.registers.icc_registers.HallReadout4Lyra.InitDone

## ◆ MeasDelay

optoICC.registers.icc_registers.HallReadout4Lyra.MeasDelay

## ◆ n_sensors

optoICC.registers.icc_registers.HallReadout4Lyra.n_sensors

## ◆ name

optoICC.registers.icc_registers.HallReadout4Lyra.name

## ◆ NormVal_X

optoICC.registers.icc_registers.HallReadout4Lyra.NormVal_X

## ◆ NormVal_Y

optoICC.registers.icc_registers.HallReadout4Lyra.NormVal_Y

## ◆ NormVal_Z

optoICC.registers.icc_registers.HallReadout4Lyra.NormVal_Z

## ◆ Oversampling

optoICC.registers.icc_registers.HallReadout4Lyra.Oversampling

## ◆ Resolution

optoICC.registers.icc_registers.HallReadout4Lyra.Resolution

## ◆ RunInit

optoICC.registers.icc_registers.HallReadout4Lyra.RunInit

## ◆ RunReadout

optoICC.registers.icc_registers.HallReadout4Lyra.RunReadout

## ◆ sys_id

optoICC.registers.icc_registers.HallReadout4Lyra.sys_id

## ◆ Temperature

optoICC.registers.icc_registers.HallReadout4Lyra.Temperature

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py